import { ShopService } from "./shop.service";
export declare class ShopController {
    private readonly ShopService;
    constructor(ShopService: ShopService);
    searchShops(search: string, lang?: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/shop/shop.entity").Shop[];
    }>;
    getAllCities(): Promise<{
        status: boolean;
        message: string;
        data: string[];
    }>;
    findFeatured(query: Record<string, string>, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    findOne(id: number, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
    findActive(query: Record<string, string>, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
}
